petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexConstructCohesiveCells

Construct cohesive cells which split the face along an internal interface

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexConstructCohesiveCells(DM dm, DMLabel label, DMLabel splitLabel, DM *dmSplit)

Collective on dm

### Input Parameters

| dm | - The original DM
| label | - The label specifying the boundary faces (this could be auto-generated)

### Output Parameters

| splitLabel | - The label containing the split points, or NULL if no output is desired
| dmSplit | - The new DM

### See Also

DMCreate(), DMPlexLabelCohesiveComplete()

### Level

developer

### Location

src/dm/impls/plex/plexsubmesh.c

### Implementations

DMPlexConstructCohesiveCells_Internal in src/dm/impls/plex/plexsubmesh.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages